## GstRTSPOnvifServer

GstRTSPOnvifServer — The main server object

## Functions

GstRTSPServer * | gst_rtsp_onvif_server_new ()

## Types and Values

typedef | GstRTSPOnvifServer
typedef | GstRTSPOnvifServerClass

## Description

The server object is the object listening for connections on a port and creating GstRTSPOnvifClient objects to handle those connections.

The only different to GstRTSPServer is that GstRTSPOnvifServer creates GstRTSPOnvifClient that have special handling for ONVIF specific features, like a backchannel that allows clients to send back media to the server.

## Functions

### gst_rtsp_onvif_server_new ()

    GstRTSPServer *
    gst_rtsp_onvif_server_new (void);

Create a new GstRTSPOnvifServer instance.

#### Returns

a new GstRTSPOnvifServer.

[transfer full]

## Types and Values

### GstRTSPOnvifServer

    typedef struct GstRTSPOnvifServer GstRTSPOnvifServer;

Since: 1.14

### GstRTSPOnvifServerClass

    typedef struct GstRTSPOnvifServerClass GstRTSPOnvifServerClass;

## See Also

GstRTSPOnvifMediaFactory, GstRTSPClient